Name:          openaifsm
Version:       0.0.1
Release:       1%{?dist}
Summary:       OpenAI Finite State Machines Java library
License:       BSD
URL:           https://sourceforge.net/projects/openai/
Source0:       http://central.maven.org/maven2/net/sourceforge/openai/%{name}/%{version}/%{name}-%{version}-sources.jar
Source1:       http://central.maven.org/maven2/net/sourceforge/openai/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: ant
BuildRequires: javapackages-local

BuildArch:     noarch

%description
OpenAI is dedicated to creating a full suite of
highly interoperable Artificial Intelligence
components that make the best use of today's
technologies. Current tools include Mobile Agents,
Neural Networks, Genetic Algorithms and
Finite State Machines.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
# Cleanup
find . -name '*.bat' -print -delete
find . -name '*.class' -print -delete
find . -name '*.jar' -print -delete
rm -r $(find . -name 'CVS' -type d)

%mvn_file net.sourceforge.openai:%{name} %{name} openai-fsm

%build

ant -f java-fsm/build.xml jar doc

%install
%mvn_artifact %SOURCE1 java-fsm/openai-fsm.jar
%mvn_install -J java-fsm/doc

%files -f .mfiles
%doc java-fsm/README
%license java-fsm/LICENSE

%files javadoc -f .mfiles-javadoc
%license java-fsm/LICENSE

%changelog
* Sat Sep 12 2015 gil cattaneo <puntogil@libero.it> 0.0.1-1
- initial rpm
